Bug 591669 - inappropriate trademarks usage in %description
Summary: inappropriate trademarks usage in %description
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: autotrace   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On: 591659
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 19:40 UTC by Michal Schmidt
Modified: 2010-11-10 19:56 UTC (History)
4 users (show)

Fixed In Version: autotrace-0.31.1-25.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 591659
Environment:
Last Closed: 2010-11-10 19:56:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Schmidt 2010-05-12 19:40:31 UTC
+++ This bug was initially created as a clone of Bug #591659 +++

autotrace's %description currently contains this sentence:
  AutoTrace is a program similar to CorelTrace or Adobe Streamline
  for converting bitmaps to vector graphics.

Packaging Guidelines are specific about the usage of the phrase
"similar to" with respect to trademarks:

    * Avoid phrasing like "similar to" or "like". Some examples: 

    * BAD: It is similar to Adobe Photoshop.
    * GOOD: It supports Adobe Photoshop PSD files, ...

https://fedoraproject.org/wiki/Packaging:Guidelines#Trademarks_in_Summary_or_Description

I suggest removing the trademarked names from the sentence, making it shorter:
  AutoTrace is a program for converting bitmaps to vector graphics.

The rest of the %description can stay as it is.

Comment 2 RHEL Product and Program Management 2010-05-12 21:59:54 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Alexander Todorov 2010-08-20 16:18:22 UTC
# rpm -qi autotrace
Name        : autotrace                    Relocations: (not relocatable)
Version     : 0.31.1                            Vendor: Red Hat, Inc.
Release     : 25.el6                        Build Date: Tue May 18 08:00:13 2010
Install Date: Fri Aug 20 12:17:56 2010         Build Host: x86-004.build.bos.redhat.com
Group       : Applications/Multimedia       Source RPM: autotrace-0.31.1-25.el6.src.rpm
Size        : 354126                           License: GPLv2+ and LGPLv2+
Signature   : RSA/8, Mon Aug 16 11:27:46 2010, Key ID 199e2f91fd431d51
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://autotrace.sourceforge.net/
Summary     : Utility for converting bitmaps to vector graphics
Description :
AutoTrace is a program for converting bitmaps to vector graphics.

Supported input formats include BMP, TGA, PNM, PPM, and any format
supported by ImageMagick, whereas output can be produced in
Postscript, SVG, xfig, SWF, and others.

Comment 5 releng-rhel@redhat.com 2010-11-10 19:56:04 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.